Skip to main content
DELETE
/
api
/
v1
/
projects
/
{projectId}
/
memberships
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v1/projects/{projectId}/memberships \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emails": [],
  "usernames": []
}
'
import requests

url = "https://us.infisical.com/api/v1/projects/{projectId}/memberships"

payload = {
"emails": [],
"usernames": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: [], usernames: []})
};

fetch('https://us.infisical.com/api/v1/projects/{projectId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "memberships": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "<string>"
    }
  ]
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to remove the member from.

Body

application/json
emails
string<email>[]

A list of organization member emails to remove from the project.

usernames
string[]

A list of usernames to remove from the project.

Response

Default Response

memberships
object[]
required